#include <complex>
#include <iostream>
#include "complext.cc"
template ostream & operator << <double>(ostream &, complex<double> const &);
template ostream & operator << <float>(ostream &, complex<float> const &);

